<!DOCTYPE html>
{% extends "base.html" %}
{% load static %}
{% block content %}
<html lang="en"> 
<head>
 <meta charset="UTF-8">
 <meta name="viewport" content="width=device-width, initial-scale=1.0">
 <meta http-equiv="X-UA-Compatible" content="ie=edge">
 <title>Layanan Poliklinik</title>
 <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
 <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
 <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
 <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
 <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
 <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
</head>
<body>
    <div class="container">
		<div class="d-flex justify-content-center card">
			<div class="card-header">
				<h3>FORM PEMBUATAN LAYANAN POLIKLINIK</h3>
			</div>
			<div class="card-body">
				<form method="POST"  action=".">
					  {% csrf_token %}
					  {{ formset.management_form }}
					  {% for form in formset %}
					<div>
						{{form.nama.label}} {{form.nama}}
					  </div>
					  <div>
						{{form.deskripsi.label}} {{form.deskripsi}}
					  </div>
					  <div>
						{{form.kode_rs_cabang.label}} {{form.kode_rs_cabang}}
					  </div>
					  <div>
						{{form.id_dokter.label}} {{form.id_dokter}}
					  </div>
					  <h3>Daftar Jadwal :</h3>
					  <div class="form-horizontal">
						<div class="form-body">
						  <div class="form-group">
							<div class="fields">
							  <div class="input-group">
								
								<div>{{ form.hari.label }}<br>{{ form.hari }} </div>
								<div>{{ form.waktu_mulai.label }}<br> {{ form.waktu_mulai }}</div>
								<div>{{ form.waktu_selesai.label }}<br>{{ form.waktu_selesai }} </div>
								<div>{{ form.kapasitas.label }}<br> {{ form.kapasitas }}</div>
								{% endfor %}
								<input type="button" value="Tambah" class="btn btn-primary input-group-addon add-field">
							  </div>
							  <span class="help-block"></span>
							</div>
						  </div>
						</div>
					  </div>
					 <div class="form-group">
						<button class="btn float-left btn-success" onclick="goBack()">Go Back</button>
						<button class="btn float-right btn-success" type="submit">Daftar</button>
					</div>
				</form>
			</div>
		</div>
	</div>
</body>
<style>
	.container{
		position: relative;
		
		display: flex;
		flex-direction: column;
		justify-content: space-evenly;
		align-items: center;
		font-family: sans-serif;
	}
	
	div.card{
		max-height: 180vh;
		max-width: 100vw;
		object-fit: cover;
		background-color: rgb(182, 206, 206);
	}
	
	div.d-flex{
		position: relative;
	}
	
	@media screen and (max-width: 900px) {
		html {
			font-size: 10px;
		}
		
	}
</style>

<script>
	function goBack() {
	  window.history.back();
	}
	var template = '<div class="input-group"><form>{{ formset.management_form }}{% for form in formset %}<div>{{ form.hari.label }}<br>{{ form.hari }} </div><div>{{ form.waktu_mulai.label }}<br> {{ form.waktu_mulai }}</div><div>{{ form.waktu_selesai.label }}<br>{{ form.waktu_selesai }} </div><div>{{ form.kapasitas.label }}<br> {{ form.kapasitas }}</div>{% endfor %}</form></div>',
		minusButton = '<span class="btn btn-danger input-group-addon delete-field">Hapus</span>';

	$('.add-field').click(function() {
	  var temp = $(template).insertBefore('.help-block');
	  temp.append(minusButton);
	});

	$('.fields').on('click', '.delete-field', function(){
	  $(this).parent().remove();
	});
</script>
</html>

{% endblock %}